Runtime

## org.eclipse.gmf.runtime.notation
Interface RelativeBendpoints

All Superinterfaces:
  Bendpoints, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  RelativeBendpointsImpl

    public interface RelativeBendpoints

extends Bendpoints

A representation of the model object 'Relative Bendpoints'.

A type of bendpoints representing a collection of points with relative distances along the x- and y-axis to the source and target views of an edge.

The following features are supported:

- `Points`

See Also:
  `NotationPackage.getRelativeBendpoints()`
** Generated **
Model:

Method Summary
`java.util.List` `getPoints()` Returns the value of the 'Points' attribute
`void` `setPoints(java.util.List value)` Sets the value of the '`Points`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getPoints

    java.util.List getPoints()

  Returns the value of the 'Points' attribute.

  The value is a non-modifiable list of `org.eclipse.gmf.runtime.notation.datatype.RelativeBendpoint` objects Any attempt to change the returned list will result in `UnsupportedOperationException` thrown; instead use `setPoints` to change the list

  Returns:
    the value of the 'Points' attribute.
  See Also:
    `setPoints(List)`, `NotationPackage.getRelativeBendpoints_Points()`
  ** Generated **
    NOT
  Model:
    dataType="org.eclipse.gmf.runtime.notation.RelativeBendpointList" many="false"

### setPoints

    void setPoints(java.util.List value)

  Sets the value of the '`Points`' attribute. The value must be an empty list or one that contains only `org.eclipse.gmf.runtime.notation.datatype.RelativeBendpoint` objects

  Parameters:
    `value` - the new value of the 'Points' attribute. The value cannot be `null`
  Throws:
    `java.lang.NullPointerException` - if the passed list is `null`
    `java.lang.IllegalArgumentException` - if one or more objects in the passed list is not of type `corg.eclipse.gmf.runtime.notation.datatype.RelativeBendpoint`
  See Also:
    `getPoints()`
  ** Generated **
    NOT

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.